<?php
/**
 * Nicare-Divi-Child-Theme
 * Functions.php
 *
 * ===== NOTES ==================================================================
 * 
 * Unlike style.css, the functions.php of a child theme does not override its 
 * counterpart from the parent. Instead, it is loaded in addition to the parent's 
 * functions.php. (Specifically, it is loaded right before the parent's file.)
 * 
 * In that way, the functions.php of a child theme provides a smart, trouble-free 
 * method of modifying the functionality of a parent theme. 
 * 
 * Discover Divi Child Themes: https://diviawesome.com/divi-child-themes/
 * 
 * =============================================================================== */
 



add_action( 'wp_enqueue_scripts', 'ct_loadjs' );
function ct_loadjs() {
	wp_enqueue_script( 'theme-script', get_stylesheet_directory_uri() . '/script.js',
        array( 'jquery' )
    );
}

add_action( 'wp_enqueue_scripts', 'divi_awesome_child_theme', 20 );
function divi_awesome_child_theme() {
    wp_enqueue_style( 'parent-theme', get_template_directory_uri() . '/style.css', array(), et_get_theme_version() );
    wp_dequeue_style( 'divi-style' );
    wp_enqueue_style( 'child-theme', get_stylesheet_uri(), array(), filemtime( get_stylesheet_directory() . '/style.css' ) );
    wp_enqueue_style( 'home1-style', get_stylesheet_directory_uri() . '/styles/home1.css', array(), et_get_theme_version());
    wp_enqueue_style( 'home2-style', get_stylesheet_directory_uri() . '/styles/home2.css', array(), et_get_theme_version());
    wp_enqueue_style( 'home3-style', get_stylesheet_directory_uri() . '/styles/home3.css', array(), et_get_theme_version());
    wp_enqueue_style( 'home4-style', get_stylesheet_directory_uri() . '/styles/home4.css', array(), et_get_theme_version());
    wp_enqueue_style( 'home5-style', get_stylesheet_directory_uri() . '/styles/home5.css', array(), et_get_theme_version());
    wp_enqueue_style( 'home6-style', get_stylesheet_directory_uri() . '/styles/home6.css', array(), et_get_theme_version());
    wp_enqueue_style( 'aboutus-style', get_stylesheet_directory_uri() . '/styles/aboutus.css', array(), et_get_theme_version());
    wp_enqueue_style( 'blog-style', get_stylesheet_directory_uri() . '/styles/blog.css', array(), et_get_theme_version());
    wp_enqueue_style( 'career-style', get_stylesheet_directory_uri() . '/styles/career.css', array(), et_get_theme_version());
    wp_enqueue_style( 'contact-style', get_stylesheet_directory_uri() . '/styles/contact.css', array(), et_get_theme_version());
    wp_enqueue_style( 'faqs-style', get_stylesheet_directory_uri() . '/styles/faqs.css', array(), et_get_theme_version());
    wp_enqueue_style( 'global-style', get_stylesheet_directory_uri() . '/styles/global.css', array(), et_get_theme_version());
    wp_enqueue_style( 'mobile-menu-style', get_stylesheet_directory_uri() . '/styles/mobile-menu.css', array(), et_get_theme_version());
    wp_enqueue_style( 'project-style', get_stylesheet_directory_uri() . '/styles/project.css', array(), et_get_theme_version());
    wp_enqueue_style( 'responsive-style', get_stylesheet_directory_uri() . '/styles/responsive.css', array(), et_get_theme_version());
    wp_enqueue_style( 'service-style', get_stylesheet_directory_uri() . '/styles/service.css', array(), et_get_theme_version());
	
 }